__virtualname__ = 'ni_asset'

DEFAULT_ASSET_HEALTH_MONITORING_ENABLED = True
DEFAULT_ASSET_HEALTH_MONITORING_INTERVAL = 300

MONITORING_ENABLED_KEY = 'asset_health_monitoring_enabled'
MONITORING_INTERVAL_KEY = 'asset_health_monitoring_interval'


def __virtual__():
    return __virtualname__


def ni_asset_data(grains):
    '''
    Returns grains used by National Instruments Asset Management

    If these specific grains are not set, salt will automatically set them during initialization.
    '''
    asset_grains = {}
    if MONITORING_INTERVAL_KEY not in grains:
        asset_grains.update({MONITORING_INTERVAL_KEY: DEFAULT_ASSET_HEALTH_MONITORING_INTERVAL})
    if MONITORING_ENABLED_KEY not in grains:
        asset_grains.update({MONITORING_ENABLED_KEY: DEFAULT_ASSET_HEALTH_MONITORING_ENABLED})
    return asset_grains
